Browse Source

Merge branch 'master' into 'master'

Use pipenv instead of requirements.txt

See merge request ungleich-public/ungleich-cli!4
master^2
nico 3 years ago
parent
commit
10e8af17e5
  1. 12
      Pipfile
  2. 25
      Pipfile.lock
  3. 5
      README.md
  4. 1
      requirements.txt

12
Pipfile

@ -0,0 +1,12 @@
[[source]]
name = "pypi"
url = "https://pypi.org/simple"
verify_ssl = true
[dev-packages]
[packages]
apixu-python = {git = "https://github.com/apixu/apixu-python.git"}
[requires]
python_version = "3.7"

25
Pipfile.lock generated

@ -0,0 +1,25 @@
{
"_meta": {
"hash": {
"sha256": "e84e3c15d8fea5745b66f0970337d98fef35d6898635ea849162932e1dabd55a"
},
"pipfile-spec": 6,
"requires": {
"python_version": "3.7"
},
"sources": [
{
"name": "pypi",
"url": "https://pypi.org/simple",
"verify_ssl": true
}
]
},
"default": {
"apixu-python": {
"git": "https://github.com/apixu/apixu-python.git",
"ref": "4beb003c71c0213720e930350f46e5fa6af9ef12"
}
},
"develop": {}
}

5
README.md

@ -5,12 +5,13 @@ It is intended to be used by ungleich engineers and skilled customers.
## Requirements / Installation
* ensure you have python3
* ensure you have **python3** and **pipenv**
* git clone this repo
* cd into this repo
* run the following command
```
sudo pip3 install -r requirements.txt
pipenv install
pipenv shell
```
## Usage general

1
requirements.txt

@ -1 +0,0 @@
git+https://github.com/apixu/apixu-python.git@master
Loading…
Cancel
Save